[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.RequestAlign

Asks the parent control to realign all controls that are siblings.

## Declaration

Source position: controls.pp line 1384

`protected procedure TControl.RequestAlign; virtual;`

## Description

Calls the AdjustSize method to handle resize operations delayed during loading or handle creation.

## See also

TControl.AdjustSize |  | Smart way to DoAutoSize.
TWinControl.AlignControls |  | Repositions and resizes the control and child controls.